org.apache.lucene.luke.app.desktop.components.fragments.analysis

## Class StepByStepAnalyzeResultPanelProvider

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.components.fragments.analysis.StepByStepAnalyzeResultPanelProvider

All Implemented Interfaces:
  ComponentOperatorRegistry.ComponentOperator, StepByStepAnalyzeResultPanelOperator

    public class StepByStepAnalyzeResultPanelProvider
    extends Object
    implements StepByStepAnalyzeResultPanelOperator

Provider of the Step by step analyze result panel

### Constructor Summary

Constructors
Constructor and Description
`StepByStepAnalyzeResultPanelProvider(TokenAttributeDialogFactory tokenAttrDialogFactory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clearTable()`
`void` `executeAnalysisStepByStep(String text)`
`JPanel` `get()`
`void` `setAnalysisModel(Analysis analysisModel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StepByStepAnalyzeResultPanelProvider

    public StepByStepAnalyzeResultPanelProvider(TokenAttributeDialogFactory tokenAttrDialogFactory)

### Method Detail

#### get

    public JPanel get()

#### setAnalysisModel

    public void setAnalysisModel(Analysis analysisModel)

Specified by:
  `setAnalysisModel` in interface `StepByStepAnalyzeResultPanelOperator`

#### executeAnalysisStepByStep

    public void executeAnalysisStepByStep(String text)

Specified by:
  `executeAnalysisStepByStep` in interface `StepByStepAnalyzeResultPanelOperator`

#### clearTable

    public void clearTable()

Specified by:
  `clearTable` in interface `StepByStepAnalyzeResultPanelOperator`